% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/s3-constructive_options.R
\name{opts_constructive_options}
\alias{opts_constructive_options}
\title{Constructive options for the class \code{constructive_options}}
\usage{
opts_constructive_options(constructor = c("opts", "next"), ...)
}
\arguments{
\item{constructor}{String. Name of the function used to construct the environment, see Details section.}

\item{...}{Should not be used. Forces passing arguments by name.}
}
\value{
An object of class <constructive_options/constructive_options_array>
}
\description{
These options will be used on objects of class \code{constructive_options}.
}
\details{
Depending on \code{constructor}, we construct the object as follows:
\itemize{
\item \code{"opts"} : Use the relevant \verb{constructive::opts_?()} function.
\item \code{"next"} : Use the constructor for the next supported class. Call \code{.class2()}
on the object to see in which order the methods will be tried.
}
}
